Bug 1569630 - openshift-ansible AWS provisioning - No way to deploy to Multi AZ
Summary: openshift-ansible AWS provisioning - No way to deploy to Multi AZ
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.11.0
Assignee: Chris Callegari
QA Contact: sheng.lao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 15:44 UTC by Matt Woodson
Modified: 2018-12-21 15:16 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Enable AWS Subnets, ELBs, and ASGs to utilize multiple availability zones.
Clone Of:
Environment:
Last Closed: 2018-12-21 15:16:39 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Matt Woodson 2018-04-19 15:44:12 UTC
Description of problem:

The openshift-ansible AWS provisioning currently deploys instances via scalegroups.  The AWS provisioning sets up multiple Subnets which are associated with different AZ's.  However, when deploying the scalegroup, it only uses one subnet, which is only one AZ.

The line of code is here:

https://github.com/openshift/openshift-ansible/blob/master/roles/openshift_aws/tasks/scale_group.yml#L19

This only chooses one subnet.  This needs to be expanded to use multiple subnets in multiple AZ's.


Version-Release number of selected component (if applicable):

openshift-ansible 3.9, 3.10


Additional info:

the ansible module "ec2_asg" also has another option, "availability_zones" which might be useful in this scenario.  I'm only putting it here as something to note and look at.

Comment 1 Steve Speicher 2018-05-17 20:14:31 UTC
Move to high since opsblocker

Comment 6 Luke Meyer 2018-12-21 15:16:39 UTC
Closing bugs that were verified and targeted for GA but for some reason were not picked up by errata. This bug fix should be present in current 3.11 release content.


Note You need to log in before you can comment on or make changes to this bug.